NTB(4)

NAME
ntb, ntb_hw, if_ntb - Intel(R) Non-Transparent Bridge driver

SYNOPSIS
To compile this driver into your kernel, place the following lines in your kernel configuration file:

device ntb_hw
device if_ntb

Or, to load the driver as a module at boot, place the following line in loader.conf(5):

    if_ntb_load="YES"

DESCRIPTION
The ntb driver provides support for the Non-Transparent Bridge (NTB) in the Intel S1200, Xeon E3 and Xeon E5 processor families.

The NTB allows you to connect two computer systems using a PCI-e link if they have the correct equipment and connectors.

CONFIGURATION
The NTB memory windows need to be configured by the BIOS. If your BIOS allows you to set their size, you should set the size of both memory windows to 1 MiB. This needs to be done on both systems.

Each system needs to have a different IP address assigned. The MAC address is randomly generated. Also for maximum performance, the MTU should be set to 16 kiB. This can be done by adding the line below to rc.conf(5):

    ifconfig_ntb0="inet 192.168.1.10 netmask 255.255.255.0 mtu 16384"

And on the second system :

    ifconfig_ntb0="inet 192.168.1.11 netmask 255.255.255.0 mtu 16384"

If you are using the UDP protocol, you may want to increase the net.inet.udp.maxdgram sysctl(8) variable.

SEE ALSO
rc.conf(5), sysctl(8)

AUTHORS
-nosplit The ntb driver was developed by Intel and originally written by Carl Delsey <carl@FreeBSD.org>.

BUGS
If the driver is unloaded, it cannot be reloaded without a system reboot.

The network support is limited. It isn't fully configurable yet. It also isn't integrated into netgraph(4) or bpf(4).

NTB to Root Port mode is not yet supported.

There is no way to protect your system from malicious behavior on the other system once the link is brought up. Anyone with root or kernel access on the other system can read or write to any location on your system. In other words, only connect two systems that completely trust each other.